Bug 280051 - gam_server is missing an important configuration file.
gam_server is missing an important configuration file.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gamin (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
http://www.gnome.org/~veillard/gamin/...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-06 02:32 EDT by Greg Morgan
Modified: 2015-03-03 17:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:20:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Morgan 2007-09-06 02:32:34 EDT
Description of problem:

Background:
So I have an NFS server with 1.2 Terabytes of space.  (Screw the whole mpe3
issue, I rip my CDs in full wave audio.)  I had to bring work home on my Western
Digital 40Gig passport drive.  Based on all of the other googling, I am a prime
candidate to be impacted by gamin via the gam_server.  My home directory is NFS
mounted, The wave files are NFS mounted.  By its very nature the USB 40gig
passport drive is automounted in /media via udev/dbus.

I had some music playing via xmms.  I was using gvim on a graphviz text file
from the WD drive.  I need need to see where I am was at in the text file.  I
double click on the .png file created at work.  All of a sudden X is very
sluggish.  The hard drive is flashing.  Top shows that all 1gig of swap has been
consumed as the local ide hard drive is thrashing.

Once, I kill eog that is displaying the 1651 x 3013 pixel 96.7KB graphviz .png
generated file, top shows that "swap used" drops down to about 295000K.  As soon
as I double click on the file .png file again, top shows that all the available
1048568K swap has been consumed.  Note: this is not from running dot on the txt
file.  The problem occurs because the file is in the /media folder mounted USB
drive.

I have also had trouble with Thunderbird running at times.  Thunderbird is using
the NFS dovecot imap server too.  

Version-Release number of selected component (if applicable):
# Primary for the bug report.  
gamin-0.1.8-5.fc7
# Other applications running.
thunderbird-2.0.0.5-1.fc7
eog-2.18.2-2.fc7
kernel-xen-2.6.20-2931.fc7
xmms-1.2.10-36.fc7
vim-X11-7.1.12-1.fc7

How reproducible:
Use a F7 client machine against a NFS mounted file system in a Xen kernel. The
sluggish performance problem appears related to my high use of automounted and
nfs mounted file systems.  After a period of time the swap consumption goes to
775000K and the system sluggish performance sets in until Thunderbird and Eog
are killed.  I also killed the Nautilus USB hard drive pop screen.  The system
works ok with the configuration file when swap used ranges from 275000K to about
575000K.


Steps to Reproduce:
Please see above.
  
Actual results:
Sluggish performance during alt-tab or mouse movement.

Expected results:
Alt-tabbing from application to application should have snappy screen refresh
response.

Additional info:
I entered a new bug report on gam_server for Fedora 7 because I thought that
some of the older FCx reports would be closed.  Please see bug 227352, bug
244633, and bug 132354

URL http://www.gnome.org/~veillard/gamin/news.html says that 0.1.9: Jul 27 2007
fixes some NFS issues.  Is this in rawhide yet?

The following /etc/gamin/gaminrc file helps make the desktop perform better:


# /etc/gaminrc
# or
# /etc/gamin/gaminrc
#
# Manage gam_server so that it is not managing me.
#
# http://www.gnome.org/~veillard/gamin/config.html
# poll on the manually mounted mount directories
poll /mnt/*
# poll on the udev/dbus mounted media directories
poll /media/*
# poll on the nfs mounted home directories
poll /home/*
# poll on the directories that I will not look at very often
# i.e. I don't care if files in /tmp change, etc.
poll /tmp/*
poll /usr/*
poll /lib/*
poll /var/*
#
# References:
#
# http://www.linuxquestions.org/questions/showthread.php?t=234318
# http://www.linuxquestions.org/questions/showpost.php?p=2853489&postcount=15
# "You will need to know what filesystems you are using.
# For each filesystem type the following in a separate line
# replacing <filesystem> with the filesystem you are using:
#sset <filesystem> poll 10
# ... poll 10 would be 10 seconds.
sset ext3 poll 600
sset nfs poll 600
sset dos poll 600
sset msdos poll 600
Comment 1 Greg Morgan 2007-09-06 03:04:32 EDT
I just added the following lines to the purposed /etc/gamin/gaminrc file in the
original post.
...
sset vfat poll 600
sset proc poll 600
sset sysfs poll 600
sset tmpfs poll 600

Swap is staying around 334000K used.  It looks like swap used starts climbing
for a bit and then levels off at 390000K used.  However, Thunderbird is usable
now even with all my mailing list filters running. xmms is the other application
running but it is not pausing. 
Comment 2 Greg Morgan 2007-09-28 13:36:23 EDT
I am thinking that a well documented gaiminrc file will still be useful.  I am
thinking that there may be a number of things that could be conspiring together
here.

1.) I had to skip installation of f6 altogether.  However, up to f5, I've always
run with a swap partition of 2023.  I believe the anaconda installer only let me
go 1024 this time.  With 512meg of memory, Thunderbird running with 30 message
filters and firefox to research on mailing list questions, swap eventually
climbs to 100% consumed.  Then it feels like the computer is thrashing.  As soon
as I exit Thunderbird the system is responsive.  Swap goes down to 249185K. 
Note that my changes to the gamin sever configuration in comment #1 and the
original bug 280051 does help.

2.) My home directory and other file systems are coming off an NFS server. 
Three 400gig drives provides me lots of space.  Using CD ripping tools produces
a music directory of full WAV formatted files.  I don't really care if I see
that this directory changes or not.  Using the tree utility to take a copy of
the directory with me to the store is helpful.  tree reports 1094 directories,
7973 files in one music directory on the NFS server.  Trying to get the kids to
understand how to use 1char/2char/directory hashing scheme to avoid directory
scans is impossible.  There are 360 directories alone in the top level music
directory.

3.) Thinking about item 1 and 2, last night I ssh -X into the machine mentioned
in bug 249185.  The machine has 2gig of 400mhz memory.  The machine mentioned
here has 512meg of 133mhz memory.  As noted in bug 249185 I am running gigabit
Ethernet and not even using something like freeNX. I have opened up an
gterm/xtrem with two tabs and two ssh -X connections to the 2gig machine.  Now
my 512mg 133mhz machine that I am typing this update on, works like a charm.  I
have at least one Firefox browser going with 15 tabs open.  I am able to use
Thunderbird's search dialog to look through one of my IMAP email folders that
has around 12,500 messages with no problems at all. 

Something doesn't feel right here.  I am not thinking all this information under
the gam_server is the right place either.  How do you want me to proceed?  

Comment 3 Bug Zapper 2008-05-14 10:15:20 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2008-06-16 22:20:15 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.